Snack = Struct.new(:name,:carbs)

module SnackBar
	#constant - identifier with value that cannot be altered(changed)
	SNACKS = [
		Snack.new(:popcorn,20),
		Snack.new(:candy,15),
		Snack.new(:nachos,40),#class Snack
		Snack.new(:pretzel,10),
		Snack.new(:pop,5) #instance object created by class Snack
	]
	
	def self.random
		SNACKS.sample
	end

end

if __FILE__ == $0
	puts SnackBar::SNACKS
	snack = SnackBar.random
	puts "Enjoy your random #{snack.name} with #{snack.carbs} carbs"
end 

#one snackbar in our program, so it is fit
#to make module instead of class
